Airwallex logo
Airwallex logoAirwallex logo

Config

Copy for LLMView as Markdown

The Config API allows you to query for active merchant configurations.

Endpoints
GET /api/v1/pa/config/reserve_plan
GET /api/v1/pa/config/payment_method_types
GET /api/v1/pa/config/banks
GET /api/v1/pa/config/applepay/registered_domains
GET /api/v1/pa/config/convertible_shopper_currencies
POST /api/v1/pa/config/applepay/registered_domains/add_items
POST /api/v1/pa/config/applepay/registered_domains/remove_items

Get current used reserve plan

GET /api/v1/pa/config/reserve_plan

Retrieves reserve plan configuration details for your Airwallex account.

Response body - 200 OK
delayedobject

DELAYED reserve plan

delayed.delay_in_daysinteger

the number of days that transaction amount will be held in your reserve account before they are released

delayed_rollingobject

DELAYED_ROLLING reserve plan

delayed_rolling.delay_in_daysinteger

the number of days that transaction amount will be held in your reserve account after transaction

delayed_rolling.rolling_percentagenumber

the percentage of the transaction amount that will be held in the reserve account after delay_in_days

delayed_rolling.rolling_window_in_daysinteger

the number of days that the reserved funds will be held in the reserve account after delay_in_days

rollingobject

ROLLING reserve plan

rolling.rolling_percentagenumber

the percentage of the transaction amount that will be held in the reserve account

rolling.rolling_window_in_daysinteger

the number of days that the reserved funds will be held before they are released

typestring

The type of the reserve plan. Possible values:

  • DELAYED: All funds will settle to your wallet delayed.delay_in_days days after transaction.
  • ROLLING: rolling.rolling_percentage percent of funds will be held for rolling.rolling_window_in_days days, while the rest will settle in 2-3 days after transaction.
  • DELAYED_ROLLING: Combination of DELAYED and ROLLING reserve plans. All funds will be held for delayed_rolling.delay_in_days days and delayed_rolling.rolling_percentage percent of funds will be held for additional delayed_rolling.rolling_window_in_days after transaction.
Errors
Error statusDescription
401

Possible errors: credentials_invalid, credentials_expired

403

Possible errors: account_not_authorised_for_operation

404

Possible errors: resource_not_found

429

Too many requests

500

Possible errors: internal_server_error

GET /api/v1/pa/config/reserve_plan
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/reserve_plan' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "delayed": {
3 "delay_in_days": 3
4 },
5 "delayed_rolling": {
6 "delay_in_days": 3,
7 "rolling_percentage": 10,
8 "rolling_window_in_days": 5
9 },
10 "rolling": {
11 "rolling_percentage": 10,
12 "rolling_window_in_days": 5
13 },
14 "type": "DELAYED_ROLLING"
15}
Was this section helpful?

Get available payment method types

GET /api/v1/pa/config/payment_method_types

Retrieve configuration for available payment method types with different transaction modes.

Note that the payment method types can be duplicate when it supports different transaction modes.
A transaction mode refer to how merchant trigger transactions. It can be one-off and recurring.

For oneoff, refer to PaymentIntent API.
For recurring, refer to PaymentConsent API.

Parameters
activeboolean

Indicate whether the payment method type is active

country_codestring

The supported country code of the shopper.

page_numinteger

Page number starting from 0

page_sizeinteger

Number of payment method types to be listed per page. Default value is 100. Maximum is 1000. The value greater than the maximum will be capped to the maximum.

transaction_currencystring

The supported transaction currency. transaction_currency is required when country_code is given.

transaction_modestring

The supported transaction mode. One of oneoff, recurring.

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.activeboolean

Indicate whether the payment method type is active

items.flowsarray

The supported flows for the payment method type and the transaction mode. One of qrcode, mobile_web, mobile_app

items.namestring

The type of payment method. Can be card, wechatpay, alipaycn, alipayhk, kakaopay, tng, truemoney, dana, gcash, etc.

items.transaction_currenciesarray

The supported transaction currencies for the payment method type and the transaction mode

items.transaction_modestring

Indicate in which mode you trigger transactions with the payment method type. One of oneoff, recurring.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/config/payment_method_types
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/payment_method_types' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "active": true,
6 "flows": [],
7 "name": "card",
8 "transaction_currencies": [
9 "AUD",
10 "USD",
11 "SGD",
12 "EUR",
13 "JPY"
14 ],
15 "transaction_mode": "oneoff"
16 },
17 {
18 "active": true,
19 "flows": [],
20 "name": "applepay",
21 "transaction_currencies": [
22 "*"
23 ],
24 "transaction_mode": "recurring"
25 }
26 ]
27}
Was this section helpful?

Get available bank names

GET /api/v1/pa/config/banks

Some payment method types such as online_banking require the bank_name to be filled when confirming a PaymentIntent. You may call this API to retrieve a list of available banks and let the shopper choose one before confirming a PaymentIntent.Refer to confirm.

Parameters
country_codestring

Country code to filter the available banks. Use the two-character ISO Standard Country Codes.

For payment method type like online_banking and bank_transfer, the available bank list differs by different countries and country_code is needed to get the bank list.

For other payment method types, country_code will be ignored.

page_numinteger

Page number starting from 0

page_sizeinteger

Number of banks to be listed per page. Default value is 100. Maximum is 1000. The value greater than the maximum will be capped to the maximum.

payment_method_typerequiredstring

The payment method type to find the available banks. For other payment methods that don't require bank_name, an empty list will be returned.

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.bank_namestring

The code name of the bank. Pass it to confirm PaymentIntent if bank_name is needed.

items.display_namestring

The bank name for display.

items.resourcesobject

The resources provided to render your bank list.

items.resources.logo_urlstring

URLs of the bank logos.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/config/banks
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/banks' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "bank_name": "asn",
6 "display_name": "ASN Bank",
7 "resources": {
8 "logo_url": "https://checkout.airwallex.com/static/media/asn.257601a1.svg"
9 }
10 },
11 {
12 "bank_name": "knab",
13 "display_name": "Knab",
14 "resources": {
15 "logo_url": "https://checkout.airwallex.com/static/media/knab.38031ef6.svg"
16 }
17 }
18 ]
19}
Was this section helpful?

Get Apple pay domains

GET /api/v1/pa/config/applepay/registered_domains

Get all the web domains registered in Apple Pay.

Response body - 200 OK
itemsarray

All registered domains

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/config/applepay/registered_domains
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/applepay/registered_domains' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 "domain1.com",
4 "domain2.com"
5 ]
6}
Was this section helpful?

Get convertible shopper currencies

GET /api/v1/pa/config/convertible_shopper_currencies

Retrieves a list of shopper currencies enabled for creating a conversion quote, which can be used as selectable options for payment currency conversion.

Response body - 200 OK
itemsarray

A list of shopper currencies available for currency conversion. Each currency is represented by a 3-letter ISO-4217 code.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/config/convertible_shopper_currencies
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/convertible_shopper_currencies' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 "AUD",
4 "USD",
5 "SGD",
6 "EUR",
7 "JPY"
8 ]
9}
Was this section helpful?

Add Apple pay domains

POST /api/v1/pa/config/applepay/registered_domains/add_items

Register one or more web domains to Apple Pay.

Request body
itemsrequiredarray

A list of domains to be registered.

Response body - 200 OK
itemsarray

All registered domains

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/config/applepay/registered_domains/add_items
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/applepay/registered_domains/add_items' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "items": [
> "domain3.com"
> ]
>}'
Response (200 OK)
1{
2 "items": [
3 "domain1.com",
4 "domain2.com",
5 "domain3.com"
6 ]
7}
Was this section helpful?

Remove Apple pay domains

POST /api/v1/pa/config/applepay/registered_domains/remove_items

Remove one or more registered web domains from Apple Pay.

Request body
itemsrequiredarray

A list of domains to be removed.

reasonstring

The reason for removing these domains. Maximum length is 500.

Response body - 200 OK
itemsarray

All registered domains

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/config/applepay/registered_domains/remove_items
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/config/applepay/registered_domains/remove_items' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "items": [
> "domain3.com"
> ],
> "reason": "Not used anymore."
>}'
Response (200 OK)
1{
2 "items": [
3 "domain1.com",
4 "domain2.com"
5 ]
6}
Was this section helpful?